Bug 522771 - logout hangs with (perhaps) at-spi-registryd-wrapper
Summary: logout hangs with (perhaps) at-spi-registryd-wrapper
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session
Version: 13
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-11 11:12 UTC by Mamoru TASAKA
Modified: 2011-06-27 14:22 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 14:22:41 UTC


Attachments (Terms of Use)
popup window asking about logout (484.03 KB, image/png)
2009-09-11 11:14 UTC, Mamoru TASAKA
no flags Details
popup window showing that at-spi-registry-wrapper hanging (459.04 KB, image/png)
2009-09-11 11:18 UTC, Mamoru TASAKA
no flags Details

Description Mamoru TASAKA 2009-09-11 11:12:30 UTC
Description of problem:
Logged in GNOME session, when I am going to get logged out
from gnome session, it "hangs" with showing a popup window
which tells that at-spi-registryd-wrapper still running.

Version-Release number of selected component (if applicable):
gnome-session-2.27.5-2.fc12.i686
at-spi-1.27.92-1.fc12.i686

How reproducible:
100%

Steps to Reproduce:
1. get logged in GNOME session
2. try to get logged out
3.
  
Actual results:
See attached 2 png files

Comment 1 Mamoru TASAKA 2009-09-11 11:14:56 UTC
Created attachment 360671 [details]
popup window asking about logout

The popup window says: "Are you going to get logged out from this
system?". Now click "Log out" button.

Comment 2 Mamoru TASAKA 2009-09-11 11:18:01 UTC
Created attachment 360672 [details]
popup window showing that at-spi-registry-wrapper hanging

Then this popup window appears, showing:

"The following program is still running:
 at-spi-registry-wrapper (no responding)
 ....
 ....

 Lock the screen / Cancel / Log out anyway"

Comment 3 Matthias Clasen 2009-09-12 02:47:52 UTC
The program that is crashing at logout is actually at-spi-registryd.

*** This bug has been marked as a duplicate of bug 519239 ***

Comment 4 Mamoru TASAKA 2009-09-28 18:57:46 UTC
Unfortunately I still see this issue (i.e. my comment 2)
with at-spi-1.28.0-2.fc12.i686.

Comment 5 Matthias Clasen 2009-09-28 21:51:45 UTC
Hmm, I can't reproduce this.

Anything special in your setup wrt to a11y ? 
What does startup applications list for AT-SPI ?

Comment 6 Mamoru TASAKA 2009-09-28 22:29:05 UTC
(In reply to comment #5)
> Anything special in your setup wrt to a11y ? 
> What does startup applications list for AT-SPI ?  

Does this mean the list on gnome-session-properties or something
else?

Comment 7 Matthias Clasen 2009-09-28 23:13:05 UTC
yeah, gnome-session-properties. Does it list at-spi-registryd wrapper twice ?

Comment 8 Mamoru TASAKA 2009-09-28 23:59:02 UTC
Well, at-spi-registryd seems to be registered only once.

My applications list enabled on gnome-session-properties is:
- /usr/libexec/at-spi-registryd
- bluetooth-applet
- /usr/sbin/restorecond -u
- gnome-keyring-daemon --start
- /usr/libexec/gnome-settings-daemon
- /usr/lib/gnome-session/helpers/gnome-settings-daemon-helper
- krb5-auth-dialog
- /usr/libexec/polkit-gnome-authentication-agent-1
- imsettings-start --cond-start -n -q
- daemon_wallpapoz
- /usr/libexec/xscreensaver-autostart
- gnome-volume-control-applet
- gnome-at-visual -s

Comment 9 Matthias Clasen 2009-09-29 00:16:11 UTC
do you have any a11y tools (like orca) running in your session ?

Comment 10 Mamoru TASAKA 2009-09-29 00:44:06 UTC
Well, at least orca and dasher are not installed on my system.
(however with gnome-at-properties "Enable assistive technologies" is on)
With gnome-at-properties->Accessibility, "Run at start" is not checked on
either "Visual" or "Mobility".

Comment 11 Mamoru TASAKA 2009-10-05 20:20:48 UTC
This issue is still reproducible for me.

Comment 12 Matthias Clasen 2009-10-05 23:44:02 UTC
Sorry, I'm out of ideas here

Comment 13 Mamoru TASAKA 2009-10-13 19:56:24 UTC
Well, it seems that I no longer see this issue.
Thank you anyway. Once closing.

Comment 14 Mamoru TASAKA 2009-11-05 18:05:10 UTC
Reopening :(

After yesterday's update now I see this issue again (note that "yesterday"
is in Japan). Currently seems 100% reproducible.

Comment 15 Matthias Clasen 2009-11-05 19:53:33 UTC
Can you find out what package makes that difference ? By downgrading selected packages ?

Comment 16 Mamoru TASAKA 2009-11-06 06:11:19 UTC
Well, I tried to downgrade some packages, however currently
I am at a loss...

Comment 17 Bug Zapper 2009-11-16 12:15:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 18 Mamoru TASAKA 2010-03-13 15:22:12 UTC
Still observable with current F-13 GNOME session.

By the way it seems that this leaves the following message on
~/.xsession-errors:

gnome-session[31278]: WARNING: Client '/org/gnome/SessionManager/Client2' failed to reply before timeout

Comment 19 Mads Kiilerich 2010-03-20 14:45:28 UTC
A couple of minor comments:

I regular get this with F12. I had AT enabled to test bug 558963 (which I got because I had AT enabled to test something else).

I wonder why this isn't assigned to at-spi.

It seems to be the same as https://bugs.launchpad.net/ubuntu/+source/at-spi/+bug/477978

Comment 20 Gerhard 2010-08-15 00:55:44 UTC
I get this message after /*logging in*/ with gdm.
The message appears for about 20 seconds, disappears and Gnome starts.
Unfortunately I get this message on my Dell Notebook and on my HP Desktop-PC. The message appears on both system after installation from the Fedora 13-DVD and does also with all updates installed.
I get the message on about 70% of all starts.

Comment 21 Gerhard 2010-09-06 14:40:20 UTC
I think, I know why I become that message.
I always activate in my 'Startup Applications Preferences' the 'Automatically remember running applications when logging out'-button.
So maybe the process try to restarts at login-time. Is there a possibility to 'blacklist' the service from that feature?

Comment 22 Bug Zapper 2011-06-02 17:45:37 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 23 Bug Zapper 2011-06-27 14:22:41 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.